package com.example.PersonalCenter;

import android.os.Handler;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.appcompat.app.AppCompatActivity;
import androidx.recyclerview.widget.RecyclerView;

import com.example.cmknowledgegraph.R;
import com.loopeer.cardstack.CardStackView;
import com.ramotion.foldingcell.FoldingCell;

import java.util.Arrays;
import java.util.List;

public class RecyclerViewPagerAdapter extends RecyclerView.Adapter<RecyclerView.ViewHolder> {
    List<Object> contents;
    int flag;
    AppCompatActivity appCompatActivity;

    public void setAppCompatActivity(AppCompatActivity appCompatActivity) {
        this.appCompatActivity = appCompatActivity;
    }

    public RecyclerViewPagerAdapter(List<Object> contents, int flag)
    {
        this.flag = flag;
        this.contents = contents;
    }
    public int getItemCount() {
        return contents.size();
    }

    @Override
    public RecyclerView.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {

        View view = null;
        switch (flag){
            case 0://论坛
                view = LayoutInflater.from(parent.getContext())
                        .inflate(R.layout.cell, parent, false);
//
//        view = LayoutInflater.from(parent.getContext()).inflate(R.layout.drug_friends,parent,false);
                FoldingCell foldingCell = view.findViewById(R.id.folding_cell_new);
                foldingCell.setOnClickListener(new View.OnClickListener() {
                    @Override
                    public void onClick(View v) {
                        foldingCell.toggle(false);
                    }
                });
                return new RecyclerView.ViewHolder(view) {
                };


            case 1://动态
                view = LayoutInflater.from(parent.getContext())
                        .inflate(R.layout.personinfomain, parent, false);

                return new RecyclerView.ViewHolder(view) {


                };

            case 2://好友列表
                view = LayoutInflater.from(parent.getContext())
                        .inflate(R.layout.content_cardview, parent, false);

                return new RecyclerView.ViewHolder(view) {
                };
//

        }
        return null;


    }
    @Override
    public void onBindViewHolder(RecyclerView.ViewHolder holder, int position) {
        //在这里设置某一个条目的监听
    }
}
