package com.example.SearchCenter;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import androidx.recyclerview.widget.RecyclerView;

import com.example.Util.ConditionCode;
import com.example.cmknowledgegraph.R;

import java.util.List;

/**
 * Created by LZL on 2017/7/16.
 */

public class ListAdapter extends RecyclerView.Adapter<ListAdapter.ScoresViewHodler> implements ConditionCode {
    List<ContentData> content_list;

    public ListAdapter(List<ContentData> list)
    {
        content_list = list;
    }

    public static class ScoresViewHodler extends RecyclerView.ViewHolder
    {
        TextView search_content;    //内容
        public ScoresViewHodler(View view)
        {
            super(view);
            search_content=(TextView)view.findViewById(R.id.search_content);
        }
    }

    @Override
    public void onBindViewHolder(ScoresViewHodler holder, int position) {
        holder.search_content.setText(content_list.get(position).getContentdata());
    }

    @Override
    public ScoresViewHodler onCreateViewHolder(ViewGroup parent, int viewType) {
        View view = LayoutInflater.from(parent.getContext()).inflate(R.layout.cmkg_list_item,parent,false);
        return new ScoresViewHodler(view);
    }

    @Override
    public int getItemCount() {
        return content_list.size();
    }
}
