package com.cmkg.cmkg;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.data.neo4j.repository.config.EnableNeo4jRepositories;

@SpringBootApplication
@EnableNeo4jRepositories(basePackages = "com.cmkg.cmkg.repository")
@EntityScan(basePackages = {"com.cmkg.cmkg.node","com.cmkg.cmkg.database"})

//
//public class CmkgApplication  {
////    @Override
////    protected SpringApplicationBuilder configure(SpringApplicationBuilder builder) {
////        return builder.sources(CmkgApplication.class);
////    }
//
//    public static void main(String[] args) {
//        SpringApplication.run(CmkgApplication.class, args);
//    }
//
//}
public class CmkgApplication extends SpringBootServletInitializer{
    @Override
    protected SpringApplicationBuilder configure(SpringApplicationBuilder builder) {
        return builder.sources(CmkgApplication.class);
    }

    public static void main(String[] args) {
        SpringApplication.run(CmkgApplication.class,args);
    }
}
